package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.model.PagingBaseModel;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: sunxiang
 * @Date: 2018/6/3 16:44
 * @Description: 数据发布查询model
 **/
public class DataPublishSearchModel extends PagingBaseModel{

    private Long userId;
    private String sectorName;
    private String resourceName;
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createdAt;//publish_info（createdAt）为提交日期
    private String dicDataPublishState;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getSectorName() {
        return sectorName;
    }

    public void setSectorName(String sectorName) {
        this.sectorName = sectorName;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getDicDataPublishState() {
        return dicDataPublishState;
    }

    public void setDicDataPublishState(String dicDataPublishState) {
        this.dicDataPublishState = dicDataPublishState;
    }
}
